VERSION 5.00
Begin VB.Form frmOptions 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "ESParser - Options"
   ClientHeight    =   1980
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   4290
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1980
   ScaleWidth      =   4290
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CheckBox chkEng 
      Caption         =   "Fix Proper Names"
      Height          =   255
      Left            =   60
      TabIndex        =   12
      ToolTipText     =   "Correct English proper names, such as Daedra or Vvardenfell."
      Top             =   1620
      Value           =   1  'Checked
      Width           =   1515
   End
   Begin VB.CheckBox chkAmerican 
      Caption         =   "Use American Spelling"
      Height          =   255
      Left            =   2280
      TabIndex        =   9
      ToolTipText     =   "Replace British spelling with American for consistency with original Morrowind."
      Top             =   1020
      Width           =   1935
   End
   Begin VB.CheckBox chkQuotes 
      Caption         =   "Fix Quotes Spaces"
      Height          =   255
      Left            =   2280
      TabIndex        =   8
      ToolTipText     =   "Remove spaces after the beginning quote and before the finishing quote. This function is still a BETA."
      Top             =   720
      Width           =   1995
   End
   Begin VB.CheckBox chkSquare 
      Caption         =   "Force Square Brackets"
      Height          =   255
      Left            =   2280
      TabIndex        =   5
      ToolTipText     =   "Replace ""()"" and ""{}"" with ""[]"", for consistency with original Morrowind."
      Top             =   1320
      Width           =   2055
   End
   Begin VB.CheckBox chkSlang 
      Caption         =   "Remove Slang"
      Height          =   255
      Left            =   2280
      TabIndex        =   4
      ToolTipText     =   "Replace slang and swearing with words closer to morrowind style."
      Top             =   120
      Width           =   1695
   End
   Begin VB.CheckBox chkTemple 
      Caption         =   "Capitalize ""Temple"""
      Height          =   255
      Left            =   2280
      TabIndex        =   2
      ToolTipText     =   $"frmOptions.frx":0000
      Top             =   420
      Width           =   1695
   End
   Begin VB.CommandButton cmdOptCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   315
      Left            =   3000
      TabIndex        =   11
      ToolTipText     =   "Cancel changes."
      Top             =   1620
      Width           =   1215
   End
   Begin VB.CommandButton cmdOptOk 
      Caption         =   "Ok"
      Default         =   -1  'True
      Height          =   315
      Left            =   1740
      TabIndex        =   10
      ToolTipText     =   "Accept changes."
      Top             =   1620
      Width           =   1215
   End
   Begin VB.CheckBox chkCap 
      Caption         =   "Capitalize New Sentences"
      Height          =   255
      Left            =   60
      TabIndex        =   7
      ToolTipText     =   "Capitalize the first letter in every new sentence."
      Top             =   420
      Width           =   2235
   End
   Begin VB.CheckBox chkDashSpacing 
      Caption         =   "Force Spaced Dashes"
      Height          =   255
      Left            =   60
      TabIndex        =   6
      ToolTipText     =   "Wrap dashes(not hyphens) with spaces."
      Top             =   1320
      Width           =   1995
   End
   Begin VB.CheckBox chkDash 
      Caption         =   "Force Single Dashes"
      Height          =   255
      Left            =   60
      TabIndex        =   3
      ToolTipText     =   "Replace double dashes(m-dashes) with single ones(n-dashes)."
      Top             =   1020
      Width           =   1935
   End
   Begin VB.CheckBox chkLines 
      Caption         =   "Remove Line Breaks"
      Height          =   255
      Left            =   60
      TabIndex        =   1
      ToolTipText     =   "Replace line breaks with spaces."
      Top             =   120
      Width           =   1875
   End
   Begin VB.CheckBox chkEllipsis 
      Caption         =   "Capitalize After Ellipsis"
      Enabled         =   0   'False
      Height          =   255
      Left            =   60
      TabIndex        =   0
      ToolTipText     =   "Capitalize the first letter after an ellipsis."
      Top             =   720
      Width           =   1995
   End
End
Attribute VB_Name = "frmOptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub chkCap_Click()

If chkCap Then
    chkEllipsis.Enabled = 1
Else
    chkEllipsis = 0
    chkEllipsis.Enabled = 0
End If

End Sub

Private Sub cmdOptCancel_Click()

Unload Me

End Sub

Private Sub cmdOptOk_Click()

frmMain.isLineBreaks = chkLines
frmMain.isAmerican = chkAmerican
frmMain.isSlang = chkSlang
frmMain.isDashes = chkDash
frmMain.isSentences = chkCap
frmMain.isEllipsis = chkEllipsis
frmMain.isDashSpaces = chkDashSpacing
frmMain.isSquare = chkSquare
frmMain.isTemple = chkTemple
frmMain.isSpaceQuotes = chkQuotes
frmMain.isMainEnglish = chkEng
Unload Me

End Sub

Private Sub Form_Load()

chkLines = Abs(frmMain.isLineBreaks)
chkAmerican = Abs(frmMain.isAmerican)
chkSlang = Abs(frmMain.isSlang)
chkDash = Abs(frmMain.isDashes)
chkCap = Abs(frmMain.isSentences)
chkEllipsis = Abs(frmMain.isEllipsis)
chkDashSpacing = Abs(frmMain.isDashSpaces)
chkSquare = Abs(frmMain.isSquare)
chkTemple = Abs(frmMain.isTemple)
chkQuotes = Abs(frmMain.isSpaceQuotes)
chkEng = Abs(frmMain.isMainEnglish)

End Sub
